summaryrefslogtreecommitdiffstats
path: root/system-config/components/0140-xinit
diff options
context:
space:
mode:
Diffstat (limited to 'system-config/components/0140-xinit')
-rwxr-xr-xsystem-config/components/0140-xinit94
1 files changed, 94 insertions, 0 deletions
diff --git a/system-config/components/0140-xinit b/system-config/components/0140-xinit
new file mode 100755
index 0000000..01deca4
--- /dev/null
+++ b/system-config/components/0140-xinit
@@ -0,0 +1,94 @@
+#!/bin/sh
+
+## live-config(7) - System Configuration Components
+## Copyright (C) 2006-2015 Daniel Baumann <mail@daniel-baumann.ch>
+##
+## This program comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
+## This is free software, and you are welcome to redistribute it
+## under certain conditions; see COPYING for details.
+
+
+#set -e
+
+Cmdline ()
+{
+ # Reading kernel command line
+ for _PARAMETER in ${LIVE_CONFIG_CMDLINE}
+ do
+ case "${_PARAMETER}" in
+ live-config.noautologin|noautologin)
+ LIVE_CONFIG_NOAUTOLOGIN="true"
+ ;;
+
+ live-config.nox11autologin|nox11autologin)
+ LIVE_CONFIG_NOX11AUTOLOGIN="true"
+ ;;
+ esac
+ done
+}
+
+Init ()
+{
+ # Disables both console and graphical autologin.
+ case "${LIVE_CONFIG_NOAUTOLOGIN}" in
+ true)
+ exit 0
+ ;;
+ esac
+
+ # Disables graphical autologin, no matter what mechanism
+ case "${LIVE_CONFIG_NOX11AUTOLOGIN}" in
+ true)
+ exit 0
+ ;;
+ esac
+
+ # Checking if a display manager has been configured
+ case "${_X11}" in
+ true)
+ rm -f /etc/profile.d/zz-live-config_xinit.sh
+
+ exit 0
+ ;;
+ esac
+
+ # Checking if package is installed or already configured
+ if [ ! -e /var/lib/dpkg/info/xinit.list ] || \
+ [ -e /var/lib/live/config/xinit ]
+ then
+ exit 0
+ fi
+
+ echo -n " xinit"
+}
+
+Config ()
+{
+ # Checking if package is already configured differently
+ if [ -e /etc/profile.d/zz-live-config_xinit.sh ]
+ then
+ exit 0
+ fi
+
+cat > /etc/profile.d/zz-live-config_xinit.sh << EOF
+if [ -z "\${DISPLAY}" ] && [ \$(tty) = /dev/tty1 ]
+then
+ while true
+ do
+ if grep -qs quiet /proc/cmdline
+ then
+ startx > /dev/null 2>&1
+ else
+ startx
+ fi
+ done
+fi
+EOF
+
+ # Creating state file
+ touch /var/lib/live/config/xinit
+}
+
+Cmdline
+Init
+Config